Class | Ramaze::Bin::Console
In: | lib/ramaze/bin/console.rb
Parent: | Object

Allows the user to enter an IRB like session that takes advantage of everything provided by Ramaze.

Usage:

       ramaze console
       ramaze console /path/to/app/start.rb

@author Yorick Peterse @since 21-07-2011

### Methods

new run

### Constants

Description | = | 'Starts an IRB session with Ramaze loaded into the session' |  | String containing the description of this command.
Banner | = | <<-TXT.strip Starts an IRB session and loads Ramaze into the session. All specified Rack options are ignored and environment variables are passed to IRB. Usage: ramaze console [DIR] [OPTIONS] Example: ramaze console ramaze console /home/foobar/ramaze/start.rb TXT .strip |  | The banner that is displayed when the -h or —help option is specified.

### Public Class methods

new()

Creates a new instance of the command and sets all the options.

@author Yorick Peterse @since 21-07-2011

### Public Instance methods

run(argv = [])

Runs the command based on the given command line arguments.

@author Yorick Peterse @since 21-07-2011 @param [Array] argv An array of command line arguments.

[Validate]